*,
*:before,
*:after {
  box-sizing: border-box;
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: none;
  vertical-align: baseline;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  font-family: inherit;
  font-weight: inherit;
  font-size: inherit;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

a[href],
button,
[role="button"] {
  cursor: pointer;
}

button {
  background: none;
  border: none;
  padding: 0;
  margin: 0;
  color: inherit;
  border-radius: 0;
  font-size: inherit;
}

input {
  margin: 0;
  padding: 0;
}

input:disabled {
  opacity: 1;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

hr {
  margin: 0;
}

fieldset {
  min-inline-size: auto;
}

svg text {
  letter-spacing: normal;
}

* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  outline: none;
}

code,
kbd,
samp,
pre,
tt,
var,
textarea,
input,
select {
  font: inherit;
  white-space: normal;
}

dfn,
i,
cite,
var,
address,
em {
  font-style: normal;
}

th,
b,
strong,
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: normal;
}

a,
img,
a img,
iframe,
form,
fieldset,
abbr,
acronym,
object,
applet,
table {
  border: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

caption,
th,
td,
center {
  text-align: left;
  vertical-align: top;
}

q {
  quotes: "" "";
}

ul,
ol,
dir,
menu {
  list-style: none;
}

sub,
sup {
  vertical-align: baseline;
}

a {
  color: inherit;
}

font {
  color: inherit;
  font: inherit;
}

nobr {
  white-space: normal;
}
